<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
IsLocked Property (IEdmFile5)
See Also Example

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmFile5 Interface : IsLocked Property (IEdmFile5)

Visual Basic
C#
C++/CLI
Gets whether the file is checked out.

# Syntax

Visual Basic |
--- | ---

    ReadOnly Property IsLocked As System.Boolean

C# |
--- | ---

    System.bool IsLocked {get;}

C++/CLI |
--- | ---

    property System.bool IsLocked {
       System.bool get();
    }

#### Property Value

True if the file is checked out, false if not

# Example

Traverse Folders and Files in Vault (C#)
Traverse Folders and Files in Vault (VB.NET)
Add Custom File Reference (VB.NET)
Add Custom File Reference (C#)

# Remarks

In a multi-user implementation, a file can be checked in and out by others while you are working on it. Before using this property, call IEdmFile5::Refresh to ensure this property gets the correct checkout status.

# See Also

####

IEdmFile5 Interface
IEdmFile5 Members

# Availability

SOLIDWORKS PDM Professional Version 5.2